Have to modprobe coretemp manually in order to get CPU temperatures on MacBook Pro

Bug #212370 reported by Alexander Jones on 2008-04-05
32
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Linux
New
Undecided
Unassigned
Mactel Support
Undecided
Unassigned
linux (Ubuntu)
Medium
Tim Gardner
Precise
Medium
Tim Gardner
lm-sensors (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

This module should be loaded automatically on boot.

ProblemType: Bug
Architecture: amd64
Date: Sat Apr 5 17:18:19 2008
DistroRelease: Ubuntu 8.04
NonfreeKernelModules: ath_hal nvidia
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
Uname: Linux 2.6.24-15-generic x86_64

Brian Murray (brian-murray) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This bug did not have a package associated with it, which is important for ensuring that it gets looked at by the proper developers. You can learn more about finding the right package at https://wiki.ubuntu.com/Bugs/FindRightPackage . I have classified this bug as a bug in linux the kernel package for Hardy Heron.

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: New → Triaged

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Alexander Jones (alex-weej) wrote :

Issue remains in 2.6.27.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Triaged a while ago but has not had any updated comments for quite some time. Please let us know if this issue remains in the current Ubuntu release, http://www.ubuntu.com/getubuntu/download . If the issue remains, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage
Changed in linux (Ubuntu):
status: Triaged → Incomplete
Simon Déziel (sdeziel) wrote :

This issue also occurs on Lucid using the latest kernel (from -proposed).

$ lsb_release -rd
Description: Ubuntu 10.04.1 LTS
Release: 10.04

$ uname -a
Linux simon-laptop 2.6.32-25-generic #43-Ubuntu SMP Wed Sep 1 09:46:13 UTC 2010 x86_64 GNU/Linux

I don't know if it worth mentioning but I also use the Maverick kernel backport to Lucid (from Kernel PPA) and there still no coretemp module loaded.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Dave Gilbert (ubuntu-treblig) wrote :

This is still true on a generic i7-860 machine on natty's 2.6.37-11; the coretemp module is now quite sane, gives 4 (rather than 8) measurements. Is this a kernel issue or lm-sensors for not finding them with sensors-detect?

Dave

Chad A. Davis (chadadavis) wrote :

Oneiric also requires manually loading coretemp on a MacBookPro6,2
Oneiric dev branch (kubuntu-alternate-adm64+mac.iso from 2011-07-05)
Kernel 3.0-3-generic

tags: added: iso-testing
Julian Wiedmann (jwiedmann) wrote :

lm-sensors in Oneiric needs to be updated to 3.3.0 in order to detect "new" (post-Nehalem?) Intel CPUs.

Tim Gardner (timg-tpi) on 2011-07-05
Changed in lm-sensors (Ubuntu):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Barry Warsaw (barry) on 2011-07-08
Changed in lm-sensors (Ubuntu):
assignee: Canonical Foundations Team (canonical-foundations) → Barry Warsaw (barry)
Barry Warsaw (barry) wrote :

I just tried this on my MBP1,1 running Natty. sensors-detect correctly found the coretemp module, and prompted me to add it to /etc/modules. The default is not to install it, but I chose yes. On a reboot, coretemp was loaded and `sensors` gave me core temperatures.

Now, my MBP1,1 is about 6 years old and I don't have any newer Mac hardware running Ubuntu natively, so I can't test whether something more needs to be done for MBP6,2. @Chad, are you saying that `sensors-detect` is not doing the right thing for you?

Barry Warsaw (barry) on 2011-07-11
Changed in lm-sensors (Ubuntu):
assignee: Barry Warsaw (barry) → Canonical Foundations Team (canonical-foundations)
Steve Langasek (vorlon) wrote :

If we think this should happen by default, lm-sensors is the wrong place to fix this; lm-sensors is not installed by default (it's in universe), whereas the coretemp module appears to be part of the main kernel. If there's no way to express the hardware as a kernel module alias, then perhaps it should be a udev rule keyed on the relevant bus?

Julian Wiedmann (jwiedmann) wrote :

Barry:
There's no Mac needed to test this, it's really just about the CPU model. The commit missing in lm-sensors is
http://www.lm-sensors.org/changeset/5905/lm-sensors
The hard-coded model list (which lm-sensors in oneiric is currently using) lacks the cases for Intel's more recent CPUs, such as Arrandale/0x25 (-> MBP6,2) or Sandybridge/0x2A.

Dave Walker (davewalker) on 2011-07-15
Changed in lm-sensors (Ubuntu):
importance: Undecided → Medium
Barry Warsaw (barry) wrote :

@Julian: that changeset appears to be included in lm-sensors 3.3.0, which is now packaged in Debian. We're carrying a couple of deltas from Debian which is preventing a sync to the latest version. I've subscribed Micah and Bryce to get their feedback, but I think at least two of the deltas can be dropped:

lm-sensors-3 (1:3.2.0-1ubuntu3) oneiric; urgency=low

  * fix sensors-detect won't recognize 3.0 kernel fix to handle
    older versions correctly. (LP: #797001)

 -- Andy Whitcroft <email address hidden> Fri, 17 Jun 2011 16:01:05 +0100

lm-sensors-3 (1:3.2.0-1ubuntu2) oneiric; urgency=low

  * fix LP: #797001 - sensors-detect won't recognize 3.0 kernel
    - add debian/patches/101_detect_3_0_kernel_version.patch
    - update debian/patches/series

 -- Micah Gersten <email address hidden> Mon, 13 Jun 2011 23:04:24 -0500

lm-sensors-3 (1:3.2.0-1ubuntu1) natty; urgency=low

  * Add 100_recommend_using_upstart.patch: Recommend use of upstart rather
    than init-script. (Thanks Michael Basse)
    (LP: #741338)

 -- Bryce Harrington <email address hidden> Mon, 04 Apr 2011 11:39:13 -0700

I don't know for sure, but I think we may still want to carry the upstart one, in which case, we'll need to do a merge instead of a sync request.

Also note that as of lm-sensors 1:3.3.0-4 the source package was renamed to just "lm-sensors"

Micah Gersten (micahg) wrote :

I was planing on merging lm-sensors this wekeend. My and apw's diff are included in the latest Debian version.

On Jul 15, 2011, at 07:06 PM, Micah Gersten wrote:

>I was planing on merging lm-sensors this wekeend. My and apw's diff are
>included in the latest Debian version.

Fantastic! Thanks Micah.

Phillip Susi (psusi) wrote :

As Steve said, this isn't an lm-sensors issue, so closing the lm-sensors task.

Kernel team: would there be any harm in simply building the module into the kernel always? Virtually all modern intel CPUs use this, and on CPUs that don't support it, it should have no effect.

Changed in lm-sensors (Ubuntu):
status: New → Invalid
Tim Gardner (timg-tpi) wrote :

Just got a new Pro in the mail today. I'll check out the sensor issues as soon as I get it installed.

Changed in linux (Ubuntu Precise):
assignee: nobody → Tim Gardner (timg-tpi)
status: Confirmed → In Progress
Phillip Susi (psusi) on 2012-01-13
Changed in lm-sensors (Ubuntu Precise):
assignee: Canonical Foundations Team (canonical-foundations) → nobody
Tim Gardner (timg-tpi) wrote :

This appears to be working on a MB Pro 8,2. Install lm-sensors, run sensors-detect and follow the bouncing ball.

Changed in linux (Ubuntu Precise):
status: In Progress → Fix Released
Julian Wiedmann (jwiedmann) wrote :

Note that linux-next has a set of patches [0] by Andi Kleen which will allow udev to load modules based on CPUID features, e.g. coretemp and cpufreq drivers.
So 'autoloading' coretemp & friends (along the lines of what Steve described in #11) should be possible fairly soon - without going through sensors-detect and /etc/modules.

[0] https://lkml.org/lkml/2011/12/19/493

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers